## org.opencyc.javashell
Class CycJavaClient

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.javashell.CycJavaClient

All Implemented Interfaces:
  java.lang.Runnable

public class CycJavaClient
extends java.lang.Thread

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CycJavaClient(java.net.Socket client, CycJavaShell jshell)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CycJavaClient

    public CycJavaClient(java.net.Socket client,
                         CycJavaShell jshell)
                  throws java.io.IOException

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.lang.Thread`